 import Vue from 'vue'
 import Vuex from 'vuex'

Vue.use(Vuex)
const store = new Vuex.Store({
    state: {
		couponstate:true,
	},
	getters:{
		getcouponstate(state){
			return state.couponstate
	   },
	  
    },
    mutations: {
		mutationscouponstate(state,data){
			state.couponstate=data
		},
		
	},
    actions: {
		actionscouponstate(context,playload){
			context.commit('mutationscouponstate',playload)
		},
		
	}
})
export default store